Configurations - Put
Met à jour une configuration d’un serveur.
PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DBforPostgreSQL/flexibleServers/{serverName}/configurations/{configurationName}?api-version=2022-12-01
Paramètres URI
| Nom | Dans | Obligatoire | Type | Description |
|---|---|---|---|---|
|
configuration
|
path | True |
string minLength: 1pattern: ^[-\w\._]+$ |
Nom de la configuration du serveur. |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
Nom du groupe de ressources. Le nom ne respecte pas la casse. |
|
server
|
path | True |
string minLength: 3maxLength: 63 pattern: ^[a-zA-Z0-9]+(-[a-zA-Z0-9]+)* |
Le nom du serveur |
|
subscription
|
path | True |
string minLength: 1 |
ID de l’abonnement cible. |
|
api-version
|
query | True |
string minLength: 1 |
Version de l’API à utiliser pour cette opération. |
Corps de la demande
| Nom | Type | Description |
|---|---|---|
| properties.source |
string |
Source de la configuration. Obligatoire pour mettre à jour la configuration. |
| properties.value |
string |
Valeur de la configuration. Obligatoire pour mettre à jour la configuration. |
Réponses
| Nom | Type | Description |
|---|---|---|
| 200 OK |
Ok |
|
| 201 Created |
Date de création |
|
| 202 Accepted |
Accepté En-têtes Location: string |
|
| Other Status Codes |
Réponse d’erreur décrivant pourquoi l’opération a échoué. |
Sécurité
azure_auth
Flux OAuth2 Azure Active Directory
Type:
oauth2
Flux:
implicit
URL d’autorisation:
https://login.microsoftonline.com/common/oauth2/authorize
Étendues
| Nom | Description |
|---|---|
| user_impersonation | emprunter l’identité de votre compte d’utilisateur |
Exemples
Update a user configuration
Exemple de requête
PUT https://management.azure.com/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/event_scheduler?api-version=2022-12-01
{
"properties": {
"value": "on",
"source": "user-override"
}
}
Exemple de réponse
{
"properties": {
"value": "ON",
"description": "Indicates the status of the Event Scheduler.",
"defaultValue": "OFF",
"dataType": "Enumeration",
"allowedValues": "ON,OFF,DISABLED",
"source": "user-override"
},
"id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/event_scheduler",
"name": "event_scheduler",
"type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
}
{
"properties": {
"value": "ON",
"description": "Indicates the status of the Event Scheduler.",
"defaultValue": "OFF",
"dataType": "Enumeration",
"allowedValues": "ON,OFF,DISABLED",
"source": "user-override"
},
"id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/event_scheduler",
"name": "event_scheduler",
"type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/providers/Microsoft.DBforPostgreSQL/locations/southeastasia/azureAsyncOperation/e276a03a-1770-4549-86f5-0edffae8997c?api-version=2022-12-01
Location: https://management.azure.com/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/providers/Microsoft.DBforPostgreSQL/locations/southeastasia/operationResults/e276a03a-1770-4549-86f5-0edffae8997c?api-version=2022-12-01
Définitions
| Nom | Description |
|---|---|
| Configuration |
Représente une configuration. |
|
Configuration |
Type de données de la configuration. |
|
created |
Type d’identité qui a créé la ressource. |
|
Error |
Informations supplémentaires sur l’erreur de gestion des ressources. |
|
Error |
Détail de l’erreur. |
|
Error |
Réponse d’erreur |
|
system |
Métadonnées relatives à la création et à la dernière modification de la ressource. |
Configuration
Représente une configuration.
| Nom | Type | Description |
|---|---|---|
| id |
string |
ID de ressource complet pour la ressource. ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName} |
| name |
string |
nom de la ressource. |
| properties.allowedValues |
string |
Valeurs autorisées de la configuration. |
| properties.dataType |
Type de données de la configuration. |
|
| properties.defaultValue |
string |
Valeur par défaut de la configuration. |
| properties.description |
string |
Description de la configuration. |
| properties.documentationLink |
string |
Lien de la documentation de configuration. |
| properties.isConfigPendingRestart |
boolean |
La configuration est en attente de redémarrage ou non. |
| properties.isDynamicConfig |
boolean |
Configuration dynamique ou statique. |
| properties.isReadOnly |
boolean |
Configuration en lecture seule ou non. |
| properties.source |
string |
Source de la configuration. Obligatoire pour mettre à jour la configuration. |
| properties.unit |
string |
Unité de configuration. |
| properties.value |
string |
Valeur de la configuration. Obligatoire pour mettre à jour la configuration. |
| systemData |
Métadonnées système relatives à cette ressource. |
|
| type |
string |
Type de la ressource. Par exemple, « Microsoft.Compute/virtualMachines » ou « Microsoft.Storage/storageAccounts » |
ConfigurationDataType
Type de données de la configuration.
| Valeur | Description |
|---|---|
| Boolean | |
| Numeric | |
| Integer | |
| Enumeration |
createdByType
Type d’identité qui a créé la ressource.
| Valeur | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
ErrorAdditionalInfo
Informations supplémentaires sur l’erreur de gestion des ressources.
| Nom | Type | Description |
|---|---|---|
| info |
object |
Informations supplémentaires. |
| type |
string |
Type d’informations supplémentaire. |
ErrorDetail
Détail de l’erreur.
| Nom | Type | Description |
|---|---|---|
| additionalInfo |
Informations supplémentaires sur l’erreur. |
|
| code |
string |
Code d’erreur. |
| details |
Détails de l’erreur. |
|
| message |
string |
Message d’erreur. |
| target |
string |
Cible d’erreur. |
ErrorResponse
Réponse d’erreur
| Nom | Type | Description |
|---|---|---|
| error |
Objet d’erreur. |
systemData
Métadonnées relatives à la création et à la dernière modification de la ressource.
| Nom | Type | Description |
|---|---|---|
| createdAt |
string (date-time) |
Horodatage de la création de ressources (UTC). |
| createdBy |
string |
Identité qui a créé la ressource. |
| createdByType |
Type d’identité qui a créé la ressource. |
|
| lastModifiedAt |
string (date-time) |
Horodatage de la dernière modification de ressource (UTC) |
| lastModifiedBy |
string |
Identité qui a modifié la ressource pour la dernière fois. |
| lastModifiedByType |
Type d’identité qui a modifié la ressource pour la dernière fois. |